@charset "UTF-8";
/**
 * 首页面-上传文件前
 * date: 2025-3-4
 * author: haotang;
 */
body {
  overflow: auto;
}

.com-box {
  border-radius: 8px;
  padding: 16px;
  box-shadow: 0px 0px 1px rgba(0, 69, 186, 0.12), 0px 3px 12px rgba(0, 45, 122, 0.1);
}
.com-title {
  height: 26px;
  line-height: 26px;
  font-weight: 700;
  font-size: 20px;
  color: #2D343B;
}
.com-content {
  height: calc(100% - 26px - 16px);
  margin-top: 16px;
  border-radius: 8px;
}

.slogan {
  height: 72px;
  line-height: 72px;
  display: flex;
  padding-left: 80px;
  background: url("../images/logo.png") left 32px center no-repeat;
  font-weight: 700;
  font-size: 24px;
  color: #2D343B;
}

.content {
  height: calc(100% - 72px);
  padding: 0 32px 32px;
  display: flex;
  min-height: 665px;
}
.content .left {
  flex: 1;
  display: flex;
  flex-direction: column;
}
.content .left .file-upload {
  height: 355px;
  background: linear-gradient(101.1deg, #E2F0FF 2.5%, #F3F3FF 97.82%);
}
.content .left .file-upload .com-content {
  position: relative;
  border-radius: 8px;
  overflow: hidden;
  background-color: #fff;
}
.content .left .file-upload .com-content:hover > *, .content .left .file-upload .com-content.file-over > * {
  /* z-index: 0; */
}
.content .left .file-upload .com-content:hover .upload-content, .content .left .file-upload .com-content.file-over .upload-content {
  z-index: 1;
}
.content .left .file-upload .com-content.uploaded #upload-content {
  display: none;
}
.content .left .file-upload .com-content.uploaded .start-btn {
  opacity: 1;
  cursor: pointer;
}
.content .left .file-upload .com-content.uploaded .start-btn:hover {
  opacity: 0.8;
}
.content .left .file-upload .com-content.uploaded .upload-file {
  display: block;
}
.content .left .file-upload .upload-content {
  position: absolute;
  text-align: center;
  height: 100%;
  width: 100%;
}
.content .left .file-upload .upload-content .webuploader-element-invisible {
  display: none;
}
.content .left .file-upload .upload-content .webuploader-pick {
  height: 100%;
}
.content .left .file-upload .upload-ico {
  margin-top: 40px;
}
.content .left .file-upload .upload-tip {
  line-height: 22px;
  margin-top: 8px;
  height: 22px;
  color: #2D343B;
}
.content .left .file-upload .upload-tip span {
  color: #969A9D;
}
.content .left .file-upload .upload-limit {
  line-height: 22px;
  height: 22px;
  margin-top: 4px;
  color: #969A9D;
}
.content .left .file-upload .upload-file {
  display: none;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}
.content .left .file-upload .upload-file .file-box {
  margin: 44px auto 0;
}
.content .left .file-upload .upload-file .file-kind {
  position: relative;
  width: 80px;
  height: 80px;
  margin: 0 auto;
  background-position: center;
  background-repeat: no-repeat;
}
.content .left .file-upload .upload-file .file-kind.docx {
  background-image: url("../images/docx.png");
}

.content .left .file-upload .upload-file .file-kind.doc {
  background-image: url("../images/doc.png");
}
.content .left .file-upload .upload-file .file-kind.pdf {
  background-image: url("../images/pdf.png");
}
.content .left .file-upload .upload-file .file-name {
  margin-top: 12px;
  line-height: 22px;
  height: 22px;
  text-align: center;
}
.content .left .file-upload .upload-file .file-del {
  position: absolute;
  width: 20px;
  height: 20px;
  cursor: pointer;
  background: url("../images/file_del.png") center no-repeat;
  top: -10px;
  right: -10px;
}
.content .left .file-upload .start-btn {
  height: 40px;
  line-height: 40px;
  padding: 0 54px 0 24px;
  color: #fff;
  font-size: 16px;
  font-weight: 700;
  background: linear-gradient(90deg, #0D5EFA 0%, #9665FF 100%), #1F63D1;
  border-radius: 20px;
  position: absolute;
  cursor: not-allowed;
  opacity: 0.5;
  left: 50%;
  bottom: 39px;
  transform: translateX(-50%);
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  z-index: 1;
  /* pointer-events: none; */
}
.content .left .file-upload .start-btn::before {
  position: absolute;
  content: "";
  width: 21px;
  height: 21px;
  right: 24px;
  background: url("../images/start_arrow.png") center no-repeat;
  background-size: 100% 100%;
  top: 50%;
  transform: translateY(-50%);
}
.content .left .history {
  height: calc(100% - 355px - 24px);
  margin-top: 24px;
  background: #FFFFFF;
  min-height: 246px;
  flex-shrink: 0;
}
.content .left .history-list {
  border-radius: 8px;
  height: calc(100% - 40px);
  overflow: hidden;
}
.content .left .history-table {
  table-layout: fixed;
  width: 100%;
}
.content .left .history-table tr {
  border-bottom: 1px solid #EAEBEB;
}
.content .left .history-table td {
  padding-left: 16px;
  color: #2D343B;
}
.content .left .history-table-hd {
  height: 39px;
  background-color: #E9EFFA;
  color: #2D343B;
  border-top-right-radius: 8px;
}
@keyframes refresh-rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.content .left .history-table-hd .table-refresh {
  display: inline-block;
  width: 16px;
  height: 16px;
  background: url("../images/refresh.png") center no-repeat;
  vertical-align: middle;
  cursor: pointer;
  margin-left: 5px;
  transition: transform 0.3s ease;
}
.content .left .history-table-hd .table-refresh.refreshing {
  animation: refresh-rotate 1s linear infinite;
}
.content .left .history-table-bd {
  height: calc(100% - 40px);
  overflow: auto;
}
.content .left .history-table-bd td {
  height: 45px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.content .left .history-table-bd td .state {
  padding-left: 14px;
  position: relative;
}
.content .left .history-table-bd td .state::before {
  position: absolute;
  content: "";
  width: 6px;
  height: 6px;
  border-radius: 50%;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}
.content .left .history-table-bd td .state.doing::before {
  background-color: #F76964;
}
.content .left .history-table-bd td .state.done::before {
  background-color: #299D68;
}
.content .left .history-table-bd td .table-btn {
  cursor: pointer;
  display: inline-block;
}
.content .left .history-table-bd td .table-btn.watch {
  color: #1F63D1;
  margin-right: 10px;
}
.content .left .history-table-bd td .table-btn.delete {
  color: #F76964;
}
.content .quick-start {
  width: 360px;
  margin-left: 24px;
  background-color: #fff;
  max-height: 665px;
}
.content .quick-start-body {
  position: relative;
  overflow: hidden;
}

.pager {
  margin-top: 10px;
}

.m-pagination-page {
  padding-right: 0;
}
.m-pagination-page > li {
  margin-right: 8px;
}
.m-pagination-page > li > a {
  height: 30px;
  line-height: 28px;
  box-sizing: border-box;
  border-radius: 4px;
  border-color: #D6D6D6;
  color: #5C5C5C;
}
.m-pagination-page > li.active > a, .m-pagination-page > li:hover > a {
  border-color: #2065FC;
  color: #2065FC;
  font-weight: normal;
  background: #fff;
}
.m-pagination-size {
  padding-right: 12px;
}
.m-pagination-size > select {
  height: 30px;
  line-height: 28px;
  box-sizing: border-box;
  border-radius: 4px;
  border-color: #D6D6D6;
  color: #5C5C5C;
}
.m-pagination-group > input, .m-pagination-group > button {
  height: 30px;
  line-height: 28px;
  box-sizing: border-box;
  border-color: #D6D6D6;
  color: #333;
}
.m-pagination-group > input {
  width: 30px;
  border-radius: 4px;
  border-right: 1px solid #D6D6D6;
}
.m-pagination-group > button {
  border-radius: 4px;
  border: none;
  line-height: 32px;
}
.m-pagination-info {
  height: 30px;
  line-height: 30px;
  padding: 0 4px;
  color: #333;
}

.simple-pop .layui-layer-btn a {
  height: 32px;
  line-height: 30px;
  box-sizing: border-box;
  border-radius: 3px;
  color: #4097EF;
  border-color: #4097EF;
  background-color: #fff;
}
.simple-pop .layui-layer-btn a.layui-layer-btn0 {
  color: #fff;
  background-color: #4097EF;
}
.simple-pop .tip-pop-text {
  padding-left: 26px;
  line-height: 22px;
  background: url("../images/tip_cio.png") left top 2px no-repeat;
}

.container {
  width: 1366px;
  height: 100%;
  margin: 0 auto;
}
.container-scroll {
  background: url("../images/front_bg.png") center top no-repeat;
  background-size: 100% 157px;
  overflow: auto;
  height: 100%;
  width: 100%;
}

@media screen and (max-width: 1366px) {
  .container {
    width: 100%;
  }
}
@media screen and (max-width: 1080px) {
  .container {
    width: 1080px;
  }
}